创建 windowsDriverUpdateProfile
命名空间:microsoft.graph
重要提示: /beta 版本下的 Microsoft Graph API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 windowsDriverUpdateProfile 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
POST /deviceManagement/windowsDriverUpdateProfiles
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 windowsDriverUpdateProfile 对象的 JSON 表示形式。
下表显示创建 windowsDriverUpdateProfile 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 策略Intune ID。 |
| displayName | String | 配置文件显示名称的配置文件。 |
| description | String | 由用户指定的配置文件的说明。 |
| approvalType | driverUpdateProfileApprovalType | 驱动程序更新配置文件审批类型。 例如,手动或自动审批。 可取值为:manual、automatic。 |
| deviceReporting | Int32 | 此配置文件的报告设备数 |
| newUpdates | Int32 | 可用于此配置文件的新驱动程序更新数。 |
| deploymentDeferralInDays | Int32 | 部署延迟设置(以天表示)仅在 ApprovalType 设置为自动审批时适用。 |
| createdDateTime | DateTimeOffset | 创建配置文件的日期时间。 |
| lastModifiedDateTime | DateTimeOffset | 上次修改配置文件的日期时间。 |
| roleScopeTagIds | 字符串集合 | 此驱动程序更新实体的范围标记列表。 |
| inventorySyncStatus | windowsDriverUpdateProfileInventorySyncStatus | 此配置文件的驱动程序清单同步状态。 |
响应
如果成功,此方法在响应 201 Created 正文中返回 响应代码和 windowsDriverUpdateProfile 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/windowsDriverUpdateProfiles
Content-type: application/json
Content-length: 555
{
"@odata.type": "#microsoft.graph.windowsDriverUpdateProfile",
"displayName": "Display Name value",
"description": "Description value",
"approvalType": "automatic",
"deviceReporting": 15,
"newUpdates": 10,
"deploymentDeferralInDays": 8,
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"inventorySyncStatus": {
"@odata.type": "microsoft.graph.windowsDriverUpdateProfileInventorySyncStatus",
"lastSuccessfulSyncDateTime": "2017-01-01T00:03:28.120883-08:00",
"driverInventorySyncState": "success"
}
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 727
{
"@odata.type": "#microsoft.graph.windowsDriverUpdateProfile",
"id": "55bcc52a-c52a-55bc-2ac5-bc552ac5bc55",
"displayName": "Display Name value",
"description": "Description value",
"approvalType": "automatic",
"deviceReporting": 15,
"newUpdates": 10,
"deploymentDeferralInDays": 8,
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"inventorySyncStatus": {
"@odata.type": "microsoft.graph.windowsDriverUpdateProfileInventorySyncStatus",
"lastSuccessfulSyncDateTime": "2017-01-01T00:03:28.120883-08:00",
"driverInventorySyncState": "success"
}
}
反馈
提交和查看相关反馈